Bug 122258 - Filesystem not clean after shutdown on an IBM Thinkpad 600E
Summary: Filesystem not clean after shutdown on an IBM Thinkpad 600E
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-02 14:57 UTC by Miloš Komarčević
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-15 01:10:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Miloš Komarčević 2004-05-02 14:57:07 UTC
Description of problem:
When the machine is cleanly shut down and rebooted, the ext3 driver
complains about the filesystem state and restores the journal during init.

Cannot easily reproduce this, just happened after a clean test3
install, and a couple of times during test2, maybe after kernel or
selinux related updates IIRC.

How reproducible:
Sometimes

Steps to Reproduce:
1. Use the laptop for a while
2. (Maybe upgrade/install the new kernel?)
3. Reboot

Actual Results:  Filesystem is not left in a clean sate when unmounted

Expected Results:  No errors on boot after a clean shutdown

Comment 1 Alan Cox 2004-05-02 15:04:37 UTC
Also seen on my thinkpad 600, as if the 2.6 kernel isnt correctly
cache flushing and powering down the drive


Comment 2 Miloš Komarčević 2004-05-09 13:38:10 UTC
I'm still seing this after updating to kernel-2.6.5-1.356

Also (noticed with the same batch of updates from 5/8), is it really
necessary to power off and spin down the hard disks on reboot?
I haven't noticed this spinning down before these updates and
certainly not with 2.4 kernels

Comment 3 Miloš Komarčević 2004-05-22 09:22:33 UTC
... and with kernel-2.6.5-1.358 on a fresh FC2 install

Comment 4 Dave Jones 2004-06-15 01:10:24 UTC
this should be fixed now, as we flush just before the powerdown.


Note You need to log in before you can comment on or make changes to this bug.